#!/usr/bin/env perl

# (c) 2002 Ed Green, UC Regents

use Getopt::Std;
use strict;
use vars qw( $opt_d );
use FamNorm;

MAIN : {
    
    &init();
    
    my $fno = new FamNorm( $opt_d );
    
    my @sizes = $fno->covSizes();
    
    my $num_seqs = $fno->totalEntries();
    
    my $num_sfs  = $fno->totalSFs();

    &output( $opt_d, $num_seqs, $num_sfs, $sizes[ 0 ], $sizes[ 2 ] );

}

sub init {
    getopts( 'd:' );
    unless ( $opt_d ) {
	print( "db_stats\n" );
	print( "Gives statistics of an ASTRAL formatted database.\n" );
	print( "OPTIONS:\n" );
	print( "-d [ ASTRAL formatted database to examins ]\n" );
	exit( 0 );
    }
}

sub output {
    my $db       = shift;
    my $num_seqs = shift;
    my $num_sfs  = shift;
    my $num_rel  = shift;
    my $num_sf2  = shift;

    print( "For the astral database: $db\n" );
    print( "There were $num_seqs sequences.\n" );
    print( "There were $num_sf2 sequences in superfamilies with\n" );
    print( "      more than one member\n" );
    print( "There were $num_sfs superfamilies.\n" );
    print( "There were $num_rel superfamily level relations\n" );

}
    
