# $Id: $

# bayBoot.pl

=head1 NAME

    bayBoot.pl

=cut

=head1 SYNOPSIS

    $gapsArrayReference = &bayBoot($samplesize);

=cut

=head1 DESCRIPTION 

    The bayBoot subroutine simply takes a sample size from a given dataset and then returns a 
    reference to an array of gaps which can then be used to perform a Bayesian bootstrap. (See
    Rubin, Ann Stat, 1981)

=cut

=head1 AUTHOR

    (c) 2002 Gavin Price, UC Regents

=cut 

use strict;

sub bayBoot
{
    my $sampleSize = shift;
    my ($i, @gaps, @randvars);
    
    for ($i=0; $i<$sampleSize-1; $i++){      #generate $sampleSize - 1 random numbers
	push(@randvars, $sampleSize * rand);
    }
    @randvars = sort{$a<=>$b} @randvars;     #order them and add 0 and $sampleSize at each end
    unshift (@randvars, 0);
    push (@randvars, $sampleSize);
    for ($i=0; $i<$#randvars; $i++){         #calculate the gaps
	$gaps[$i] = $randvars[$i+1] - $randvars[$i];
    }
    return \@gaps;
}
1;
