#!/usr/bin/env perl

# (c) 2002 Gavin Price


use strict;

use Getopt::Std;
use vars qw( $opt_i $opt_n $opt_b);

my ($i, $fileExtension);

&init();

system( "cve_maker.pl -i $opt_i -o $opt_i.dat");
if ($opt_b) {
    $fileExtension = "bbs";
} else {
    $fileExtension = "bs";
}
    
for ($i = 1; $i <= $opt_n; $i++) {
    system( "cve_maker.pl -i $opt_i.$fileExtension.$i -o $opt_i.$fileExtension.$i.dat");
}


sub init {
    getopts( 'i:n:b' );
    unless( $opt_i && $opt_n ) {
	print ( "cve_automator.pl\n" );
	print( "This program automates running cve_maker multiple times.\n" );
	print( "It expects to be run in  a directory containing the source sasum or dbvdb file\n" );
	print( "and the corresponding bootstrap or Bayesian bootstrap files.\n" );
	print( "OPTIONS:\n" );
	print( "-i [ source sasum or dbvdb file ]\n" );
	print( "-n [ number of bootstrap files ]\n" );
	print( "-b : bootstrap files are Bayesian bootstrap\n" );
	exit( 0 );
    }
}
